## org.biojava.bio.dp
Interface ModelTrainer

All Superinterfaces:
  DistributionTrainerContext

All Known Implementing Classes:
  SimpleModelTrainer

    public interface ModelTrainer

extends DistributionTrainerContext

Encapsulates the training of an entire model.

Author:
  Matthew Pocock

Method Summary
`void` `registerModel(MarkovModel model)` Registers an HMM with this trainer.

Methods inherited from interface org.biojava.bio.dist.DistributionTrainerContext
`addCount, clearCounts, getCount, getNullModelWeight, getTrainer, registerDistribution, registerTrainer, setNullModelWeight, train`

Method Detail

### registerModel

    void registerModel(MarkovModel model)

  Registers an HMM with this trainer.

  If the model has been already registered, then this method should do nothing. If it has not been registered, then this method should loop over every state in the model and register the Distribution returned by getWeight.

  Parameters:
    `model` - the MarkovModel to train